SOGo | BTS

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000715SOGoWeb Mailpublic2010-07-28 09:052010-08-26 16:45
Reportergienger 
Assigned Towsourdeau 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.0 
Target VersionFixed in Version1.3.2 
Summary0000715: Wrong UTF-8-coding of header lines when question mark is at the end
DescriptionExample:

C'est un test géant?

will be coded as:

=?utf-8?q?C'est_un_test_g=C3=A9ant??=

As the question mark is a "marker" itself in quoted-printable style it has to be coded/quoted as =3F to give

=?utf-8?q?C'est_un_test_g=C3=A9ant=3F?=


This applies to all header data which gets converted to quoted printable.


Funny enough: SOGo decodes this wrong quoted printable string perfectly back to

"C'est un test géant?" whereas Thunderbird, Outlook, Apple Mail, Android Mail do report an encoding error (displaying the raw string).

TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0001257)
gienger (reporter)
2010-07-29 02:01

This behaviour occurs whenever a question mark appears in the subject, alongside with non-7-bit-ascii-characters.
(0001368)
wsourdeau (viewer)
2010-08-26 16:45

Fixed in 748bc1fd6d5c867c7b2b4da7574602b322a35fa5 (nightlies)

- Issue History
Date Modified Username Field Change
2010-07-28 09:05 gienger New Issue
2010-07-29 02:01 gienger Note Added: 0001257
2010-08-26 16:45 wsourdeau Note Added: 0001368
2010-08-26 16:45 wsourdeau Status new => resolved
2010-08-26 16:45 wsourdeau Fixed in Version => 1.3.2
2010-08-26 16:45 wsourdeau Resolution open => fixed
2010-08-26 16:45 wsourdeau Assigned To => wsourdeau


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker